%bcond_with installed-tests

%define libver		1.0
%define major		0
%define girmajor	1.0

%define libname		%mklibname %{name} %{libver} %{major}
%define develname	%mklibname %{name} -d
%define girname		%mklibname %{name}-gir %{girmajor}

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		json-glib
Version:	1.10.6
Release:	%mkrel 2
Summary:	Library for JavaScript Object Notation format
Group:		System/Libraries
License:	LGPLv2+
URL:		https://wiki.gnome.org/JsonGlib
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gobject-2.0) >= 2.37.6
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	gi-docgen
BuildRequires:	meson
BuildRequires:	python3-docutils
Requires:	%{libname} = %{version}

%description
%{name} is a library providing serialization and deserialization support
for the JavaScript Object Notation (JSON) format.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries
Requires:	%{name} = %{version}

%description -n %{libname}
%{name} is a library providing serialization and deserialization support
for the JavaScript Object Notation (JSON) format.


%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Provides:	lib%{name}-devel = %version-%release
Provides:	%{name}-devel = %version-%release
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

%package -n %{girname}
Summary:	GObject Introspection interface description for %name
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Conflicts:	%{mklibname %{name}1.0-gir 1.0} < 0.13.4-3

%description -n %{girname}
GObject Introspection interface description for %name.

%prep
%autosetup -p1

%build
%meson -Dgtk_doc=enabled -Dman=true
%meson_build


%install
%meson_install

mv %{buildroot}%{_docdir}/%{name}-1.0 %{buildroot}%{_docdir}/%{name}

%if %{without installed-tests}
rm -rf %{buildroot}%{_libexecdir}/installed-tests/
rm -rf %{buildroot}%{_datadir}/installed-tests/
%endif

%find_lang %{name}-%{libver}

%check
%meson_test

%files -f %{name}-%{libver}.lang
%{_bindir}/json-glib-format
%{_bindir}/json-glib-validate
%{_mandir}/man1/json-glib-format.1.*
%{_mandir}/man1/json-glib-validate.1.*

%files -n %{libname}
%{_libdir}/lib%{name}-%{libver}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Json-%{girmajor}.typelib

%files -n %{develname}
%doc NEWS
%doc %{_docdir}/%{name}
%{_libdir}/lib%{name}-%{libver}.so
%{_libdir}/pkgconfig/%{name}-%{libver}.pc
%{_includedir}/%{name}-%{libver}/
%{_datadir}/gir-1.0/Json-%{girmajor}.gir


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 1.10.6-2.mga10
+ Revision: 2231473
- Mageia 10 Mass Rebuild

* Thu Dec 19 2024 daviddavid <daviddavid> 1.10.6-1.mga10
+ Revision: 2126150
- new version: 1.10.6

* Wed Sep 11 2024 daviddavid <daviddavid> 1.10.0-1.mga10
+ Revision: 2095116
- new version 1.10.0

* Fri Jul 12 2024 daviddavid <daviddavid> 1.9.2-1.mga10
+ Revision: 2080851
- new version 1.9.2

* Thu Sep 21 2023 tv <tv> 1.8.0-1.mga10
+ Revision: 1989234
- Update to 1.8.0

* Fri Aug 05 2022 tv <tv> 1.6.6-2.mga9
+ Revision: 1875394
- Fix using options
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Tue Aug 24 2021 ovitters <ovitters> 1.6.6-1.mga9
+ Revision: 1742493
- new version 1.6.6
- new version 1.6.4
+ tv <tv>
- BR gi-docgen instead of gtk-doc

* Tue Feb 09 2021 ovitters <ovitters> 1.6.2-1.mga9
+ Revision: 1675100
- new version 1.6.2

* Fri Sep 11 2020 ovitters <ovitters> 1.6.0-1.mga8
+ Revision: 1624634
- new version 1.6.0

* Sat Sep 05 2020 daviddavid <daviddavid> 1.5.2-1.mga8
+ Revision: 1622440
- new version: 1.5.2

* Sat Feb 15 2020 umeabot <umeabot> 1.4.4-3.mga8
+ Revision: 1525472
- Mageia 8 Mass Rebuild

* Wed Apr 17 2019 umeabot <umeabot> 1.4.4-2.mga7
+ Revision: 1392681
- Rebuild with meson 0.50.1

* Tue Sep 18 2018 daviddavid <daviddavid> 1.4.4-1.mga7
+ Revision: 1259476
- new version: 1.4.4
- remove merged upstream patches

* Thu Jun 21 2018 wally <wally> 1.4.2-3.mga7
+ Revision: 1238550
- add upstream patches to fix tests on ix86
- remove installed tests instead of excluding them

* Fri Sep 22 2017 tv <tv> 1.4.2-1.mga7
+ Revision: 1157079
- ignore testsuite failures
- adjust file list
+ ovitters <ovitters>
- new version 1.4.2
- new version 1.4.0
- switch to meson
- new version 1.3.2

* Sat Mar 18 2017 ovitters <ovitters> 1.2.8-1.mga6
+ Revision: 1093464
- new version 1.2.8

* Mon Mar 13 2017 ovitters <ovitters> 1.2.6-1.mga6
+ Revision: 1092355
- new version 1.2.6
- new version 1.2.4
+ ngompa <ngompa>
- Tweak file lists to be compatible for mga5

* Sat Jul 30 2016 ovitters <ovitters> 1.2.2-1.mga6
+ Revision: 1043992
- new version 1.2.2

* Tue Apr 26 2016 tv <tv> 1.2.0-2.mga6
+ Revision: 1006646
- provides json-glib-devel

* Tue Mar 22 2016 ovitters <ovitters> 1.2.0-1.mga6
+ Revision: 994095
- new version 1.2.0

* Tue Mar 01 2016 ovitters <ovitters> 1.1.2-1.mga6
+ Revision: 981734
- new version 1.1.2
- dropped merged patch 1

* Sat Feb 20 2016 umeabot <umeabot> 1.0.4-5.mga6
+ Revision: 972477
- Mageia 6 Mass Rebuild

* Sun Nov 08 2015 pterjan <pterjan> 1.0.4-4.mga6
+ Revision: 899058
- Add upstream patch fixing bug with new glib

* Tue Jun 30 2015 wally <wally> 1.0.4-3.mga6
+ Revision: 848444
- actually require gir pkg in devel one

* Mon Jun 29 2015 wally <wally> 1.0.4-2.mga6
+ Revision: 847521
- add requires for gir pkg to devel pkg

* Sat Jun 20 2015 ovitters <ovitters> 1.0.4-1.mga6
+ Revision: 836372
- new version 1.0.4

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-4.mga5
+ Revision: 750969
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 1.0.2-3.mga5
+ Revision: 724911
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-2.mga5
+ Revision: 680872
- Mageia 5 Mass Rebuild

* Fri May 30 2014 ovitters <ovitters> 1.0.2-1.mga5
+ Revision: 628042
- new version 1.0.2

* Tue Mar 25 2014 ovitters <ovitters> 1.0.0-1.mga5
+ Revision: 608520
- new version 1.0.0

* Tue Mar 04 2014 fwang <fwang> 0.99.2-1.mga5
+ Revision: 599262
- update file list
- 0.99.2

* Sat Nov 09 2013 ovitters <ovitters> 0.16.2-3.mga4
+ Revision: 550179
- fix url

* Sat Oct 19 2013 umeabot <umeabot> 0.16.2-2.mga4
+ Revision: 536042
- Mageia 4 Mass Rebuild

* Sat Sep 21 2013 ovitters <ovitters> 0.16.2-1.mga4
+ Revision: 483047
- new version 0.16.2

* Fri May 24 2013 dams <dams> 0.16.0-1.mga4
+ Revision: 426338
- new version 0.16.0

* Sat Jan 12 2013 umeabot <umeabot> 0.15.2-2.mga3
+ Revision: 355620
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jun 30 2012 ovitters <ovitters> 0.15.2-1.mga3
+ Revision: 265641
- clean spec
- update file list
- new version 0.15.2

* Thu Oct 27 2011 wally <wally> 0.14.2-1.mga2
+ Revision: 158672
- new version 0.14.2

* Mon Sep 19 2011 fwang <fwang> 0.14.0-1.mga2
+ Revision: 145462
- update file list
- new version 0.14.0

* Sat Sep 10 2011 fwang <fwang> 0.13.90-1.mga2
+ Revision: 141981
- new version 0.13.90

* Thu Jul 07 2011 wally <wally> 0.13.4-3.mga2
+ Revision: 119838
- fix gir package name

* Tue Jul 05 2011 dmorgan <dmorgan> 0.13.4-2.mga2
+ Revision: 118858
- Make the lib package requires the gir one

* Mon Jul 04 2011 wally <wally> 0.13.4-1.mga2
+ Revision: 118146
- new version 0.13.4
- add a subpackage for gir .typelib
- disable static build for sure

* Sun Jan 23 2011 pterjan <pterjan> 0.12.2-1.mga1
+ Revision: 35445
- imported package json-glib


* Mon Jan 10 2011 Götz Waschk <waschk@mandriva.org> 0.12.2-1mdv2011.0
+ Revision: 630851
- new version

* Sat Sep 25 2010 Götz Waschk <waschk@mandriva.org> 0.12.0-1mdv2011.0
+ Revision: 580982
- update to new version 0.12.0

* Mon Sep 13 2010 Götz Waschk <waschk@mandriva.org> 0.11.2-2mdv2011.0
+ Revision: 577921
- rebuild for new g-i

* Mon Aug 02 2010 Götz Waschk <waschk@mandriva.org> 0.11.2-1mdv2011.0
+ Revision: 565071
- new version
- drop patch

* Fri Jul 30 2010 Funda Wang <fwang@mandriva.org> 0.10.4-2mdv2011.0
+ Revision: 563323
- rebuild for new gobject-introspection

* Fri Mar 19 2010 Götz Waschk <waschk@mandriva.org> 0.10.4-1mdv2010.1
+ Revision: 525304
- update to new version 0.10.4

  + Anssi Hannula <anssi@mandriva.org>
    - fix hardcoded paths in pkgconfig file (reported by Juho Teperi)

* Fri Feb 26 2010 Götz Waschk <waschk@mandriva.org> 0.10.2-1mdv2010.1
+ Revision: 511958
- new version

* Mon Jan 04 2010 Götz Waschk <waschk@mandriva.org> 0.10.0-2mdv2010.1
+ Revision: 486165
- enable introspection
- fix devel provides
- readd libtool archive

* Wed Dec 30 2009 Frederik Himpe <fhimpe@mandriva.org> 0.10.0-1mdv2010.1
+ Revision: 483944
- update to new version 0.10.0

* Thu Dec 10 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.2-1mdv2010.1
+ Revision: 476181
- Update to new version 0.9.2
- Update to new version 0.8.2

* Mon Sep 28 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.0-1mdv2010.0
+ Revision: 450642
- Update to new version 0.8.0

* Wed Sep 09 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.6-1mdv2010.0
+ Revision: 435924
- Update to new version 0.7.6

* Wed Aug 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.4-1mdv2010.0
+ Revision: 415768
- Update to new version 0.7.4
- Run test suite

* Fri Jul 10 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.2-1mdv2010.0
+ Revision: 394336
- BuildRequires: gtk-doc
- Disable gobject-introspection again: probably needs some more work
  to correctly package this
- BuildRequires: gobject-introspection
- commit first SPEC file, based on Fedora's
- Don't run test suite, it sometimes hangs
- create json-glib

